Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Approve and run an import job

POST/imports/{id}/approve
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Path parameters
idstringrequired
Responses
200

Import result

dataobjectrequired
Show properties
publicIdstring
statusstring
processed_countinteger
total_countinteger | null
cursorstring | null
errorstring | null
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

409

Already approved or running

Try it
Server
Authorization
Parameters
Request
curl -X POST "https://api.seal.nyc/api/v1/imports/string/approve" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {
    "publicId": "string",
    "status": "string",
    "processed_count": 0,
    "total_count": 0,
    "cursor": "string",
    "error": "string"
  }
}